curl --request GET \
--url https://api.bytez.com/models/v2/list/models \
--header 'Authorization: <api-key>'import requests
url = "https://api.bytez.com/models/v2/list/models"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.bytez.com/models/v2/list/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"output": [
{
"meter": "sm-free",
"meterPrice": "0.0006478333 / sec",
"modelId": "0-hero/Matter-0.1-Slim-7B-C",
"params": 7.24,
"ramRequired": 29,
"task": "chat"
}
]
}{
"error": "Unauthorized",
"output": null
}{
"error": "Rate limit exceeded",
"output": null
}Models
Retrieve a list of available models for various tasks. Use the query parameter task to filter by task type, e.g. chat.
Explore Available Models
Use theGET /models/v2/list/models endpoint to retrieve a list of open-source AI models available for various tasks. You can filter models by task using the task query parameter.
Query Models by Task
Example Request
curl --location 'https://api.bytez.com/models/v2/list/models?task=chat' \
--header 'Authorization: Key your-api-key-here'
Authorizations
Set Authorization header to BYTEZ_KEY
'Authorization: YOUR_KEY_HERE'
Query Parameters
The specific task type to filter models. Run list.tasks() for the full list. Some supported tasks include:
audio-classification, audio-text-to-text, automatic-speech-recognition, chat, depth-estimation, document-question-answering, feature-extraction, fill-mask, image-classification, image-feature-extraction, image-segmentation, image-text-to-text, image-to-text, mask-generation, object-detection, question-answering, sentence-similarity, summarization, text-classification, text-generation, text-to-audio, text-to-image, text-to-speech, text-to-video, text2text-generation, token-classification, translation, unconditional-image-generation, video-classification, video-text-to-text, visual-question-answering, zero-shot-classification, zero-shot-image-classification, zero-shot-object-detection.
"chat"